Get Theme Configuration
Returns a list of theme’s configurations.
Usage Notes:
- At least one filter must be provided.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
uuid
The theme identifier.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Query parameters
uuid:in
Filter configurations by passing a comma-separated list of configuration UUIDs.
channel_id:in
Filter configurations by passing a comma-separated list of channel IDs.
page
Specifies the page number in a limited (paginated) list.
limit
Controls the number of items per page in a limited (paginated) list of products.
variation_uuid
Filter configurations by a variation_uuid.
Response
A list of theme configurations.
data
meta
Response metadata.